Bug 1024306 - Creating a sync plan with blank start date raises #<SyncPlansController:0x0000000579f540> (NameError)
Creating a sync plan with blank start date raises #<SyncPlansController:0x000...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Corey Welton
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 07:20 EDT by Sachin Ghai
Modified: 2014-07-02 10:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:06:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
#<SyncPlansController:0x0000000579f540> (NameError) on creating a sync plan without startdate (64.79 KB, image/png)
2013-10-29 07:20 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2013-10-29 07:20:11 EDT
Created attachment 817055 [details]
#<SyncPlansController:0x0000000579f540> (NameError) on creating a sync plan without startdate

Description of problem:
Create a sync plan and just blank out the default start date and save it.
UI throws following error instead of a validation error:

-----
    undefined local variable or method `log' for #<SyncPlansController:0x0000000579f540> (NameError)
    Click here for more details.
------

Version-Release number of selected component (if applicable):
Snap7 compose2 (MDP2)

How reproducible:
always

Steps to Reproduce:
1. Create a sync plan without start-date
2.
3.

Actual results:
    undefined local variable or method `log' for #<SyncPlansController:0x0000000579f540> (NameError)
    Click here for more details.

Expected results:
UI should raise a proper validation error

Additional info:
Comment 3 Walden Raines 2014-04-09 17:40:31 EDT
This is no longer valid with the new UI.  You cannot save the form if you remove the start date.
Comment 4 Corey Welton 2014-05-05 15:50:40 EDT
Verified in Satellite-6.0.3-RHEL-6-20140430.4, user can no longer submit a sync plan with no start date.
Comment 5 Bryan Kearney 2014-07-02 10:06:13 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.